Bug 194437 - REGRESSION (r240644): Layout Test inspector/page/overrideSetting-ICECandidateFilteringEnabled.html is a flaky timeout
Summary: REGRESSION (r240644): Layout Test inspector/page/overrideSetting-ICECandidate...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Devin Rousso
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-02-08 09:10 PST by Truitt Savell
Modified: 2019-04-15 12:46 PDT (History)
8 users (show)

See Also:


Attachments
Patch (3.75 KB, patch)
2019-02-27 17:58 PST, Devin Rousso
no flags Details | Formatted Diff | Diff
Patch (5.19 KB, patch)
2019-04-09 12:11 PDT, Devin Rousso
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Truitt Savell 2019-02-08 09:10:51 PST
The following layout test is flaky on Mojave

inspector/page/overrideSetting-ICECandidateFilteringEnabled.html

Probable cause:

Test was introduced in https://trac.webkit.org/changeset/240644/webkit and is a flakey timeout. 

Flakiness Dashboard:

https://webkit-test-results.webkit.org/dashboards/flakiness_dashboard.html#showAllRuns=true&tests=inspector%2Fpage%2FoverrideSetting-ICECandidateFilteringEnabled.html
Comment 1 Radar WebKit Bug Importer 2019-02-12 11:24:52 PST
<rdar://problem/48008005>
Comment 2 Devin Rousso 2019-02-27 17:58:34 PST
Created attachment 363171 [details]
Patch

Not really sure why it's flaky, but I ran it a few hundred times on my machine (WK1 and WK2) and it seemed to work better
Comment 3 Joseph Pecoraro 2019-02-28 14:20:41 PST
Comment on attachment 363171 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=363171&action=review

rs=me

> LayoutTests/inspector/page/overrideSetting-ICECandidateFilteringEnabled.html:24
> +        delete pc.onicecandidate;

Just set it to null instead of delete?
Comment 4 WebKit Commit Bot 2019-02-28 14:54:43 PST
Comment on attachment 363171 [details]
Patch

Clearing flags on attachment: 363171

Committed r242231: <https://trac.webkit.org/changeset/242231>
Comment 5 WebKit Commit Bot 2019-02-28 14:54:45 PST
All reviewed patches have been landed.  Closing bug.
Comment 6 Shawn Roberts 2019-03-21 17:06:30 PDT
This test is still timing out on Mojave WK1 about 1 in every 4 runs on the dashboard.
Also is timing out on Mojave Wk2, but not nearly as consistently.

Was able to reproduce locally with :

run-webkit-tests inspector/page/overrideSetting-ICECandidateFilteringEnabled.html --iterations 500 -f -1

Produced 22 failures.

run-webkit-tests inspector/page/overrideSetting-ICECandidateFilteringEnabled.html --iterations 500 -f

Produced 9 failures.

Flakiness Dashboard : 

https://webkit-test-results.webkit.org/dashboards/flakiness_dashboard.html#showAllRuns=true&tests=inspector%2Fpage%2FoverrideSetting-ICECandidateFilteringEnabled.html
Comment 7 Ryan Haddad 2019-04-02 13:33:11 PDT
Reopening based on Shawn's comment above.
Comment 8 Devin Rousso 2019-04-09 12:11:22 PDT
Created attachment 367060 [details]
Patch

It seems like the main issue was with the first part of the test.  Removing it made it pass without issue on 1000+ iterations on my machine.  I've also enabled debug logging just in case it still fails so we can hopefully get more information as to why.
Comment 9 Joseph Pecoraro 2019-04-15 12:20:05 PDT
Comment on attachment 367060 [details]
Patch

r=me
Comment 10 WebKit Commit Bot 2019-04-15 12:46:40 PDT
Comment on attachment 367060 [details]
Patch

Clearing flags on attachment: 367060

Committed r244280: <https://trac.webkit.org/changeset/244280>
Comment 11 WebKit Commit Bot 2019-04-15 12:46:41 PDT
All reviewed patches have been landed.  Closing bug.